eth_getTransactionReceipt

Returns the receipt of a transaction given the transaction's hash.

Parameters

  • DATA, 32 Bytes - hash of a transaction

Returns

  • Object - An object of type TransactionReceipt or null when no receipt was found
    • transactionHash: DATA, 32 Bytes - hash of the transaction
    • transactionIndex: QUANTITY - Integer of the transactions index position in the block
    • blockHash: DATA, 32 Bytes - hash of the block where this transaction was in
    • blockNumber: QUANTITY - block number where this transaction was in
    • cumulativeGasUsed: QUANTITY - The total amount of gas used when this transaction
      was executed in the block
    • gasUsed: QUANTITY - The amount of gas used by this specific transaction alone
    • contractAddress: DATA, 20 Bytes - The contract address created, if the transaction was
      a contract creation, null otherwise
    • logs: Array - Array of log objects, which this transaction generated
    • logsBloom: DATA, 256 Bytes - Bloom filter for light clients to quickly retrieve related logs.
    • root: DATA 32 bytes - post-transaction stateroot (if the block is pre-Byzantium)
    • status: QUANTITY - either 1 = success or 0 = failure (if block is Byzatnium or later)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to demo
Body Params
integer
required
Defaults to 1
string
required
Defaults to 2.0
string
required
Defaults to eth_getTransactionReceipt
params
array
required
Defaults to 0x0b8f9635aad56d18381d2fd7ad0578cd54fb316b0b017948a3048915cfd29034
Params*
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json